From: Sophie Brun <sophie@offensive-security.com>
Date: Thu, 24 Nov 2022 17:34:41 +0100
Subject: Adapt for PyJWT 2.4.0

We have version 2.4.0 in Debian but upstream uses 1.7.1
---
 redeye.py | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/redeye.py b/redeye.py
index 977966c..59c4bd8 100644
--- a/redeye.py
+++ b/redeye.py
@@ -1799,8 +1799,8 @@ def login():
                 clients[session["uid"]] = socketio
                 token = jwt.encode({'user': "{}-{}".format(creds['username'],check_id), 'exp': datetime.utcnow(
                 ) + timedelta(hours=2)}, app.secret_key)
-                resp = make_response(index(token.decode('UTF-8')))
-                resp.set_cookie('reduser', token.decode('UTF-8'))
+                resp = make_response(index(token))
+                resp.set_cookie('reduser', token)
                 return resp
         
         # If the user is not authenticated
@@ -1847,11 +1847,11 @@ def refresh_projects():
 def is_logged(logged=False):
     try:
         token = request.cookies['reduser']
-        data = jwt.decode(token, app.secret_key)
+        data = jwt.decode(token, app.secret_key, algorithms=["HS256"])
         return True
     except Exception:
         try:
-            data = jwt.decode(logged, app.secret_key)
+            data = jwt.decode(logged, app.secret_key, algorithms=["HS256"])
             return True
         except:
             return False
